// $Id: transformations_ui.js,v 1.1 2009/04/09 19:31:26 jpetso Exp $

/**
 * Auto-attach for connection button highlighting behavior.
 */
Drupal.behaviors.transformationsUiConnections = function(context) {
  var connections = Drupal.settings.transformationsUiConnections;

  $('.transformations-operation-input input[type="submit"], .transformations-operation-output input[type="submit"]', context).mouseover(function() {
    var elementId = $(this).attr('name');

    // If the form defines any connections to highlight, process those.
    if (connections[elementId] != undefined) {
      var otherElementIds = connections[elementId];

      for each (var otherElementId in otherElementIds) {
        // The corresponding connection can easily retrieved by its name attribute.
        var otherName = otherElementId['keyType'] + '-'
          + otherElementId['entity'] + '-' + otherElementId['key'];
        var selector = '.transformations-operation-' + otherElementId['keyType']
          + ' input[name="' + otherName + '"]';

        // Assign the orange background color to the corresponding submit button.
        var originalCss = $(selector).attr('style');
        $(selector).css('background-color', '#ffee99');

        // On mouseout, return to the previous state.
        $(this).mouseout(function() { $(selector).attr('style', originalCss); });
      }
    }
  });
}
